﻿local nkRebuffInfo, nkRebuff = ...

if ( Inspect.System.Language() == "Russian") then
	
	nkRebuff.langTexts = {
	
		basicUI = {
			tabHeader1 = 'Настройки',
			tabHeader2 = "Про nkRebuff",
			btClose = "закрыть",	
			btResetHidden = "показать все",
			btResetData = 'удалить данные',
			btExportBarSetup = 'экспорт. панели',
			btImportBarSetup = 'импорт. панели',
			btDonate			= 'donate'
		},
	 
		various = {
			version = "version",
			msgLoaded = "%s %s loaded",
			buttonMenuConfig = "Конфигурация",
			buttonMenuResetTempHides = "Показать все",
			activateSet = 'Активируется набор %s',
			commandSetRefuse = 'Неправильный набор! правильные значения 1 - %d',
			castBy = 'Применено: %s'
		},
	 
		abilityBars = {
			barLabelBuffs = "Усиления игрока",
			barLabelDebuffs = "Ослабления цели",
			barLabelDebuffsPlayer = "Ослабления игрока",
			barLabelActive = "Активные способности",
			barLabelCooldowns = 'Востанавливающиеся способности',
			barLabelWarning = 'Предупреждения',
			barLabelBuffsPlayer = 'Усиления цели',
			cbNoWarning = 'Не оповещать',
			iconHelp = 'Левый клик на иконку чтобы спрятать до выхода'
		},
		
		genericSettings = {
			basic = 'Основные настройки',
			functions = 'Функции',
			performance = 'Быстродействие',
			active = 'аддон включен',
			slThrottle = 'интервал обновления %.1f сек',
			slCounterCorr = 'точность таймера %.1f сек',
			locked = 'блокировка панелей',
			roleSwitch = 'определять смену роли',
			currentSet = 'текущий набор',
			cbEvents = "определения усилений/ослаблений",
			cbDebuffWarning = "оповещения об ослаблениях",
			cbNewDebuffActive = "активировать новый ослабления",
			sets = 'Наборы способностей',
			btAddSet = 'добавить набор',
			newSetName = 'новый набор %d',
			copiedSetName = 'копия %s',
			btRemoveSet = 'удалить набор',
			btCopySet = 'копир. набор',
			role = 'привязать к роли',
			cbCombat = "показывать только в бою",
			showBarsDuringConfig = 'отобр. панели во время настройки',
			cbRemainingWarning = 'отдельная панель для угасания',
			slGCD = 'общее время востановления %.1f сек.',
			selectionRole = {{ label = 'Общая', value = 0 }, { label = 'Роль 1', value = 1}, { label = 'Роль 2', value = 2}, { label = 'Роль 3', value = 3}, { label = 'Роль 4', value = 4}, { label = 'Роль 5', value = 5}, { label = 'Роль 6', value = 6}}
		},
			
		barSettings = {	
			basic = 'Основные настройки',
			slScale = "размер",
			slnoOfIcons = "# иконки",
			slRunoutDuration = "показать если <%d сек",
			slAlpha = "прозрачность",
			cbFadein = "угасание",
			rbAlign = "ориентация",
			rbColorBorder = "цвет граници",
			rbColorCounter = "цвет счетчика",
			rbColorStack = 'цвет кол-ва. наложений',
			rbColorLabel = "цвет надписи",
			slFontSize = "размер шрифта",
			design = 'Дизайн',
			texts = 'Тексты',
			border = 'граница',
			label = 'надпись',
			tooltip = 'подсказка',
			hideOnLeftClick = 'левый клики чтоб спрятать',
			txtPosition = 'Позиционирование',
			slStackFontSize = 'размер шрифта наложений',
			slCounterFontSize = 'размер шрифта счетчика',
			posSel = {	{ label = 'по центру', value = 'CENTER@CENTER@0@0' }, 
						{ label = 'внутри сверху слева', value = 'TOPLEFT@TOPLEFT@-2@4' }, { label = 'внутри снизу слева', value = 'BOTTOMLEFT@BOTTOMLEFT@-2@-4' } , { label = 'внутри сверху справа', value = 'TOPRIGHT@TOPRIGHT@2@4' }, { label = 'внутри снизу справа', value = 'BOTTOMRIGHT@BOTTOMRIGHT@2@-4' },
						{ label = 'снаружи сверху слева', value = 'TOPRIGHT@TOPLEFT@2@4' }, { label = 'снаружи снизу слева', value = 'BOTTOMRIGHT@BOTTOMLEFT@2@-4' } , { label = 'снаружи сверху справа', value = 'TOPLEFT@TOPRIGHT@-2@4' }, { label = 'снаружи справа снизу', value = 'BOTTOMLEFT@BOTTOMRIGHT@2@-4' } },
			borderSelection = {{label = 'без граници', value = 0 }, {label = 'тонкая граница', value = 1}, { label = 'средняя граница', value = 2}, { label = 'жирная граница', value = 3}},
			labelSelection = {{label = 'без текста', value = 0 }, {label = 'короткий текст', value = 1}, { label = 'показывать текст', value = 2}},
			colorSelection = {{label = "черный", value = '000000' }, {label = "белый", value = 'FFFFFF'}, { label = "красный", value = '7F0000'}, { label = "желтый", value = 'FFD800'}, { label = "синий", value = '0094FF'}},
			alignSelection = {{label = 'фикс. слева на право', value = 'fixed' }, {label = 'слева', value = 'left' }, {label = 'по центру', value = 'centered'}, { label = 'справа', value = 'right'}, { label = 'вертикальноl', value = 'vertical'}}
		},
		
		trackSettings = {
			headerDescription= "описание",
			headerStatus = "статус",
			headerAdvanced = 'advanced',
			headerCastBy = 'cast by',
			headerSort = 'sort',
			txtActive = 'дополнительно',
			selSetting = 'способности',
			cbActiveOnly = "только активные",
			cbUseableOnly = 'только для текущей роли',
			lblSearch = 'поиск',
			settingSelection = {	{ value = 1, label = "Усиления: имеющие длительность"}, { value = 2, label = "Усиления: постоянные"}, { value = 3, label = "Усиления: другие" },
									{ value = 4, label = "Усиления: других игроков"}, { value = 5, label = "Ослабления: цели"}, { value = 6, label = "Востанов. способности"}, 
									{ value = 7, label = "Ослабления: других игроков "}, { value = 8, label = "Усиления: цели"} }
		},
		
		debuffList = {
			headerDescription= "описание",
			headerCastBy = 'Применено',
			headerCalling = 'Призвание',
			headerLevel = 'уровень',
			headerTagName = 'Инфо.',
			btClear = 'Очистить',
			btRefresh = 'Обновить',
		},
		
		settingsTab = {
			generic = "Основные",
			barBuff = "Усиления игрока",
			barDebuffTarget = "Ослабления цели",
			barDebuffPlayer = "Ослабления игрока",
			barCooldown = "Воаст. способности",
			barActive = 'Активные вост. способности',
			barWarning = 'Опвещения',
			barBuffTarget = "Усиления цели",
			track = 'Отслеживать способности',
			debuffList = 'Список ослаблений',
		},

		advSettingsDialog = {
			stacksLabel = 'показать если наложения',
			stacksCount = 'счетчик наложений',
			slRunoutDuration = "показать если < %d сек",
			cbCustomRemaining = 'особое время востановления',
			btSave = 'Сохранить',
			slsortPrioLabel = 'приоритет %d',
			cbNoActivityTracking = 'не показыать активную способность',
			cbNoWarning = 'неиспользовать оповещение',
			cbDoNotShowMissing = 'обратный режим - показывать если активно',
			cbCombatOnly = 'показывать только в бою',
			selectStacksCondition = {{ label = 'неактивно', value = 0 }, { label = 'меньше чем', value = 1}, {label = 'точно', value = 2 }, { label = 'больше чем', value = 3 }}
		},
		
		messages = {
			dialogTitle = 'Ошибка',
			cannotRemoveLastSet = 'Вы не можете удалить последний набор!',
			removeCurrentSet = 'Вы увереный что хотите удалить этот набор?',
			msgClearAllData = 'Вы действительно хотите удалить ВСЕ данные?',
			msgImportBarData = 'Вы действительно хотите загрузить общую настройку панелей?',
			msgNoGlobalSettings = 'Общая настройка отсутсвует!',
		},
		
		classes = {
			warrior = 'Воин',
			rogue = 'Разбойник',
			cleric = 'Клирик',
			mage = 'Маг',
			player = 'Игрк',
			NPC = 'НИП',
			unknown = 'Неизвестно'
		},
		
		about = {
			addonName = '%s',
			version = 'version %s',
			writtenBy = 'Written by Naifu / Defiant / Bruttmutter (EU)',
			copyright = '(C) 2011-2012 Naifu - All Rights Reserved',
			donate1 = 'If you like this addon you can send a paypal donation',
			donate2 = 'at the account nkaddons@gmail.com',
			patchCD = 'Cooldown patch by Beckmann',
			patchDebuff = 'Debuff filter patch by Eleyo',
			russian = 'Russian translation by Loufeer (RU)',
			twitter = 'Follow me on Twitter #NaifuKishi'
		}
	}
	
end